Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Interface IPane

All Known Implementing Classes:
  IPaneLight, PIGraphics3D

    public interface IPane

A pane object to provide one rectangular area to draw objects. One pane is associated with one IView and INavigator and retained by IPanel.

Author:
  Satoru Sugihara
See Also:
  `IView`, `INavigator`, `IPanel`

Method Summary
`boolean` | `contains(int x, int y)`
`void` | `draw(IGraphics g)`
`void` | `focus()` Focus view on objects
`void` | `focus(java.util.ArrayList<IObject> e)` Focus view on objects
`int` | `getBorderColor()`
`float` | `getBorderWidth()`
`int` | `getHeight()`
`IPanelI` | `getPanel()`
`IView` | `getView()`
`int` | `getWidth()`
`float` | `getX()`
`float` | `getY()`
`boolean` | `isVisible()`
`void` | `keyPressed(IKeyEvent e)`
`void` | `keyReleased(IKeyEvent e)`
`void` | `keyTyped(IKeyEvent e)`
`void` | `mouseClicked(IMouseEvent e)`
`void` | `mouseDragged(IMouseEvent e)`
`void` | `mouseEntered(IMouseEvent e)`
`void` | `mouseExited(IMouseEvent e)`
`void` | `mouseMoved(IMouseEvent e)`
`void` | `mousePressed(IMouseEvent e)`
`void` | `mouseReleased(IMouseEvent e)`
`void` | `mouseWheelMoved(IMouseWheelEvent e)`
`INavigator` | `navigator()`
`void` | `setBorderColor(int r, int g, int b, int a)`
`void` | `setBorderWidth(float b)`
`void` | `setBounds(int x, int y, int w, int h)`
`void` | `setLocation(int x, int y)`
`void` | `setPanel(IPanelI p)`
`void` | `setSize(int width, int height)`
`void` | `setView(IView view)`
`void` | `setVisible(boolean v)`

Method Detail

### setLocation

    void setLocation(int x,
                     int y)

### setSize

    void setSize(int width,
                 int height)

### getX

    float getX()

### getY

    float getY()

### getWidth

    int getWidth()

### getHeight

    int getHeight()

### isVisible

    boolean isVisible()

### setVisible

    void setVisible(boolean v)

### contains

    boolean contains(int x,
                     int y)

### setPanel

    void setPanel(IPanelI p)

### getPanel

    IPanelI getPanel()

### setBorderWidth

    void setBorderWidth(float b)

### getBorderWidth

    float getBorderWidth()

### setBorderColor

    void setBorderColor(int r,
                        int g,
                        int b,
                        int a)

### getBorderColor

    int getBorderColor()

### navigator

    INavigator navigator()

### setBounds

    void setBounds(int x,
                   int y,
                   int w,
                   int h)

### setView

    void setView(IView view)

### getView

    IView getView()

### draw

    void draw(IGraphics g)

### focus

    void focus()

  Focus view on objects

### focus

    void focus(java.util.ArrayList<IObject> e)

  Focus view on objects

### mousePressed

    void mousePressed(IMouseEvent e)

### mouseReleased

    void mouseReleased(IMouseEvent e)

### mouseClicked

    void mouseClicked(IMouseEvent e)

### mouseEntered

    void mouseEntered(IMouseEvent e)

### mouseExited

    void mouseExited(IMouseEvent e)

### mouseMoved

    void mouseMoved(IMouseEvent e)

### mouseDragged

    void mouseDragged(IMouseEvent e)

### mouseWheelMoved

    void mouseWheelMoved(IMouseWheelEvent e)

### keyPressed

    void keyPressed(IKeyEvent e)

### keyReleased

    void keyReleased(IKeyEvent e)

### keyTyped

    void keyTyped(IKeyEvent e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD